#
# Cookbook Name:: zabbix_agent
# Recipe:: _deb
#
# Copyright 2016
#
# All rights reserved - Do Not Redistribute
#
include_recipe 'zabbix_agent::repo_setup'

template '/root/info.txt' do
  source 'test.erb'
end

package 'zabbix-agent' do
  version "1:#{node['zabbix']['server']['version']}-#{node['apt']['zabbix']['release']}"
end

dirs = %w(/var/run/zabbix /var/log/zabbix)
dirs.each do |dir|
  directory dir do
    owner 'zabbix'
    group 'zabbix'
    mode '755'
  end
end

template '/etc/zabbix/zabbix_agentd.conf' do
  owner 'zabbix'
  group 'zabbix'
  mode '644'
end

service 'zabbix-agent' do
  action [:enable, :start]
end
