#
# Cookbook Name:: zabbix_agent
# Recipe:: _rhel
#
# Copyright 2016
#
# All rights reserved - Do Not Redistribute
#
include_recipe 'zabbix_agent::repo_setup'

template '/root/info.txt' do
  source 'test.erb'
end

package 'Installing Zabbix Agent' do
  package_name 'zabbix-agent'
  version "#{node['zabbix']['server']['version']}-#{node['yum']['zabbix']['release']}"
end

dirs = %w(/var/run/zabbix /var/log/zabbix)
dirs.each do |dir|
  directory dir do
    owner 'zabbix'
    group 'zabbix'
    mode '755'
  end
end

template '/etc/zabbix/zabbix_agentd.conf' do
  owner 'zabbix'
  group 'zabbix'
  mode '644'
end

service 'zabbix-agent' do
  action [:enable, :start]
end
