#
# Cookbook Name:: zabbix_agent
# Recipe:: repo_setup.rb
#
# Copyright 2016
#
# All rights reserved - Do Not Redistribute
#

# Sets up zabbix yum repo
case node['platform']
when 'centos'
  yum_repository 'zabbix' do
    name 'zabbix'
    description 'zabbix'
    baseurl node['yum']['zabbix']['repo_url'] if node['yum']['zabbix']['mirror_url'].nil?
    gpgkey node['yum']['zabbix']['key_url']
    gpgcheck node['yum']['zabbix']['gpgcheck']
    mirrorlist node['yum']['zabbix']['mirror_url']
    action :create
  end
when 'debian'
  apt_repository 'zabbix' do
    uri node['apt']['deb']['zabbix']['uri']
    key node['apt']['deb']['key']
    components ['main']
    action :add
  end
when 'ubuntu'
  apt_repository 'zabbix' do
    uri node['apt']['ubuntu']['zabbix']['uri']
    key node['apt']['ubuntu']['key']
    components ['main']
    action :add
  end
end
